Bug 1286953 - [GTK3.20] FF is not correctly rendering UI items after update to GTK3 3.19.3
[GTK3.20] FF is not correctly rendering UI items after update to GTK3 3.19.3
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
dfsdf
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-01 03:31 EST by Vít Ondruch
Modified: 2016-03-22 04:58 EDT (History)
12 users (show)

See Also:
Fixed In Version: firefox-45.0.1-2.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-22 04:52:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Broken FF UI (172.31 KB, image/png)
2015-12-01 03:31 EST, Vít Ondruch
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 1234158 None None None 2015-12-21 05:07 EST

  None (edit)
Description Vít Ondruch 2015-12-01 03:31:37 EST
Created attachment 1100765 [details]
Broken FF UI

Description of problem:
FF is not correctly rendering UI items after update to GTK3 3.19.3. See the attached screenshot, where you can see the URL bar without frame and the "version field" selection has weird color, this is even worse for typical edit fields, since the selection is invisible. Also notice the scroll bar, which is missing the indicator of current position. Checkboxes and radio buttons are typically invisible on the pages, only the check mark is rendered, not the frame.

Please note that this happens in Wayland session if that makes difference.

Version-Release number of selected component (if applicable):
$ rpm -q firefox
firefox-42.0-3.fc24.x86_64

$ rpm -q gtk3
gtk3-3.19.3-2.fc24.x86_64


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Vít Ondruch 2015-12-01 05:56:44 EST
Looking into my journal, I see plenty issues such as:

(firefox:3151): Gtk-WARNING **: State 0 for GtkToggleButton 0x7f47025e7700 doesn't match state 128 set via gtk_style_context_set_state ()

That might be related I guess.
Comment 2 Ricardo Cordeiro 2015-12-12 08:25:03 EST
Issue persists on the following versions:

$ rpm -q firefox
firefox-43.0-1.fc24.x86_64

$ rpm -q gtk3
gtk3-3.19.4-1.fc24.x86_64

I also get the following journal entries on when refreshing and interacting with this Bugzilla page:

(firefox:2967): Gtk-WARNING **: State 0 for GtkEntry 0x7f54db5e8220 doesn't match state 128 set via gtk_style_context_set_state ()

(firefox:2967): Gtk-WARNING **: State 0 for GtkMenuItem 0x7f54f2cf1cf0 doesn't match state 128 set via gtk_style_context_set_state ()
Comment 3 mayarash 2015-12-14 15:24:11 EST
this is bug 151520 in webkit: https://bugs.webkit.org/show_bug.cgi?id=151520 already fixed upstream
Comment 4 mayarash 2015-12-14 15:33:19 EST
(In reply to mayarash from comment #3)
> this is bug 151520 in webkit: https://bugs.webkit.org/show_bug.cgi?id=151520
> already fixed upstream

disregard this, firefox doesn't use webkit.
Comment 5 Martin Stransky 2015-12-16 06:54:46 EST
http://koji.fedoraproject.org/koji/taskinfo?taskID=12214087

This one should fix scrollbars, checkboxes and radiobuttons.
Comment 6 Martin Stransky 2015-12-17 07:11:02 EST
New build firefox-43.0-3.fc24.x86_64 also fixes text colors. We need to fix cursor changes which is last issue here AFAIK.
Comment 7 Vít Ondruch 2015-12-18 05:27:12 EST
Looks better, except the cursors. Thx.
Comment 8 Vít Ondruch 2016-01-02 13:28:52 EST
The tooltips are missing frame ... their background color is probably wrong as well.


$ rpm -q firefox
firefox-43.0.3-1.fc24.x86_64
Comment 9 Martin Stransky 2016-01-04 08:40:19 EST
Cursors are covered by Bug 1292466.
Comment 10 Martin Stransky 2016-01-04 10:50:48 EST
Matthias, is there any CSS node for tooltip rendering? I don't see any on gtk sources nor the doc. Thanks.
Comment 11 Martin Stransky 2016-01-13 10:47:56 EST
Patches for GtkProgressBar are in firefox-43.0.3-5.
Comment 12 Vít Ondruch 2016-02-04 10:09:20 EST
Hm, the issues are back after update to

$ rpm -q gtk3
gtk3-3.19.8-2.fc24.x86_64

$ rpm -q firefox 
firefox-44.0-3.fc24.x86_64
Comment 13 Jan Kurik 2016-02-24 09:04:10 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 14 Martin Stransky 2016-03-22 04:52:35 EDT
firefox-45.0.1-2.fc24 fixes that.
Comment 15 Martin Stransky 2016-03-22 04:58:08 EDT
The update is here https://bodhi.fedoraproject.org/updates/FEDORA-2016-44d7ec40fd

Note You need to log in before you can comment on or make changes to this bug.